# coding: utf-8

from __future__ import absolute_import
from __future__ import division
from __future__ import unicode_literals

from enum import Enum


class Protocol(Enum):
    tcp = 'tcp'
    udp = 'udp'


class RequestStatus(Enum):
    new = 'new'
    confirmed = 'confirmed'
    approved = 'approved'
    closed_by_author = 'closed_by_author'
    closed_by_admin = 'closed_by_admin'
    closed_by_security = 'closed_by_security'


class Location(Enum):
    office = 'office'
    vpn = 'vpn'


class RuleSourceSystem(Enum):
    puncher = 'puncher'
    cauth = 'cauth'
    static = 'static'
    all = 'puncher,cauth,static'
